Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 660131 - Review Request: mu - mu is a collection of utilties for indexing and searching Maildirs
Summary: Review Request: mu - mu is a collection of utilties for indexing and searchi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-12-05 18:37 UTC by Andy Bailey
Modified: 2010-12-15 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-15 16:01:19 UTC


Attachments (Terms of Use)

Description Andy Bailey 2010-12-05 18:37:18 UTC
Spec URL: https://github.com/GooseYArd/rpm/raw/master/SPECS/mu.spec
SRPM URL: https://github.com/GooseYArd/rpm/raw/master/SRPMS/mu-0.9.11.fc14.src.rpm
Description: mu is a set of tools for dealing with Maildirs and the e-mail messages in them.

This is my first package, so I'm hunting for a sponsor.

A couple of notes about the spec, as you can see from the sed commands, there's a libtool/rpath issue in the package. I read that autoreconfing is frowned upon, so this solution seems to work reasonably well. I've been working with the upstream author already on a few other configure.ac changes to help building on fc-14, so I suspect we'll be able to eliminate this kludge within an upstream release or two.

Thanks!

Comment 1 Andy Bailey 2010-12-05 18:40:13 UTC
one more thing- the short name worries me a little- the author uses "mu0" at google code (I'm guessing maybe theres a minimum length?), but the project is also referred to as "mu-tools" in a few places, so I think there's an alternative if "mu" doesn't work for Fedora packaging.

Comment 2 Andy Bailey 2010-12-07 19:35:34 UTC
user tibbs on #fedora-devel suggested that I review some other pendingreview packages to help secure a sponsorship of this one. I found a few interesting ones that I'll note here. First, 611372.

Comment 3 Andy Bailey 2010-12-08 17:05:14 UTC
I'll also work on 634025.

Comment 4 Andy Bailey 2010-12-15 16:01:19 UTC
Withdrawing submission, I think simply having a working spec file satisfies my needs. It'll be available at the same location if an established maintainer would like to create a new package later.


Note You need to log in before you can comment on or make changes to this bug.